import com.sqx.SqxApplication;
import com.sqx.modules.reconciliation.service.PlatformBillService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.time.LocalDate;

/**
 * @author : codingliang
 * @date : 2024-09-10 16:24
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SqxApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class PlatformBillTest {

    @Resource
    private PlatformBillService platformBillService;

    @Test
    public void test() {
        LocalDate date = LocalDate.now().minusDays(1);
        platformBillService.generatePlatformBill(date, true);
    }

    @Test
    public void test1() {
        LocalDate date = LocalDate.now().minusDays(1);
        platformBillService.test(date);
    }
}
